Bug 487673 - openattachment doesn't work
openattachment doesn't work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-bugzilla (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-27 07:39 EST by Michal Fabry
Modified: 2009-12-18 03:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 03:04:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for "openattachment" issue. (1.16 KB, patch)
2009-02-27 07:39 EST, Michal Fabry
no flags Details | Diff

  None (edit)
Description Michal Fabry 2009-02-27 07:39:20 EST
Created attachment 333470 [details]
Patch for "openattachment" issue.

Description of problem:
Try to download attachment using "openattachment" function. It will end with traceback.

Version-Release number of selected component (if applicable):
python-bugzilla-0.4-0.rc4.fc10.noarch

How reproducible:
always

Steps to Reproduce:
import bugzilla
bz = bugzilla.Bugzilla(url="https://bugzilla.redhat.com/xmlrpc.cgi")
bz.openattachment(1)
  
Actual results:
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.5/site-packages/bugzilla/base.py", line 543, in openattachment
    att_uri = self._attachment_uri(attachid)
  File "/usr/lib/python2.5/site-packages/bugzilla/base.py", line 536, in _attachment_uri
    att_uri = self._url.replace('xmlrpc.cgi','attachment.cgi')
AttributeError: 'RHBugzilla3' object has no attribute '_url'


Expected results:
fileobject

Additional info:
This is probably only typo, because fix is simple - replace "_url" with "url" in "base.py" on line 536:
att_uri = self._url.replace('xmlrpc.cgi','attachment.cgi')

But then, you will facing another problem :)

Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.5/site-packages/bugzilla/base.py", line 546, in openattachment
    disp = att.headers['content-disposition'].split(';')
  File "/usr/lib64/python2.5/rfc822.py", line 384, in __getitem__
    return self.dict[name.lower()]
KeyError: 'content-disposition'

And finally, when you fix this, you will discover, that this function is not downloading attachments from private bugs :)


So, I wrote patch for this issues.
Comment 1 Will Woods 2009-04-09 17:00:09 EDT
This should be fixed in python-bugzilla-0.5. Thanks for the patch!
Comment 2 Bug Zapper 2009-11-18 06:15:08 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 03:04:22 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.